<?php

namespace General\Services\Report;

use General\Models\Report\ReportUserBindRecord;

interface ReportInterface
{
    /**
     * 上报数据
     */
    public function report(array $query_params);
    /**
     * 获取充值数据上报参数
     */
    public function getChargeQueryParams(ReportUserBindRecord $user, float $amount): array;
    /**
     * 获取注册数据上报参数
     */
    public function getRegisterQueryParams(ReportUserBindRecord $user): array;
}
